## ia32-libs-openoffice.org 1ubuntu2

=== debian/changelog ===
ia32-libs-openoffice.org (1ubuntu2) warty; urgency=low

  * Add libmyspell3 to list of packages we use. (#1986)
  * Run ldconfig after installation/removal

 -- Tollef Fog Heen <tfheen@raw.no>  Sat,  2 Oct 2004 11:26:59 +0200

ia32-libs-openoffice.org (1ubuntu1) warty; urgency=low

  * Initial packaging.
  
 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 10 Sep 2004 15:08:06 +0200
