## ia32-libs-openoffice.org 1ubuntu4

=== debian/changelog ===
ia32-libs-openoffice.org (1ubuntu4) hoary; urgency=low

  * Add libstartup-notification0, needed for OOo 1.1.3

 -- Tollef Fog Heen <tfheen@canonical.com>  Wed, 12 Jan 2005 22:26:30 +0100

ia32-libs-openoffice.org (1ubuntu3) hoary; urgency=low

  * Remove libgcc1 / gcc-3.4.
  * Add dependency on lib32gcc1.

 -- Matthias Klose <m@klose.in-berlin.de>  Mon,  8 Nov 2004 01:52:17 +0100
