=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ia32-libs-openoffice.org
 Architecture: amd64 ia64
-Depends: ia32-libs (>= 0.5ubuntu2)
+Depends: lib32gcc1 (>= 3.4.2-2ubuntu3), ia32-libs (>= 0.5ubuntu2)
 Description: ia32 shared libraries for with OpenOffice.org
  This package delivers a set of pre-compiled ia32 (i386 family) shared
  libraries, so that OpenOffice.org for ia32 can be executed on 64-bit
