=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

build:
#	./fetch-and-build

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	rm -f debian/create-diversions debian/remove-diversions
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/ia32-libs-openoffice.org/ ; done

# Fix up some things
	for d in lib usr/lib X11R6/lib; do \
		[ -d debian/ia32-libs-openoffice.org/$$d ] && \
		mv debian/ia32-libs-openoffice.org/$$d debian/ia32-libs-openoffice.org/$${d}32 || true; \
	done

	rm -rf debian/ia32-libs-openoffice.org/usr/include \
		debian/ia32-libs-openoffice.org/usr/share \
		debian/ia32-libs-openoffice.org/usr/sbin \
		debian/ia32-libs-openoffice.org/sys \
		debian/ia32-libs-openoffice.org/sbin \
		debian/ia32-libs-openoffice.org/usr/bin

	dh_installdirs
	# Fix symlinks.
	for link in $$(find debian/ia32-libs-openoffice.org -type l); do\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed 's,/lib/,/lib32/,') $$link;	\
	done

	echo -e "# packages used in the creation of ia32-libs-openoffice.org\n" > \
	debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest

binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
