## ia32-libs-openoffice.org 11

=== debian/changelog ===
ia32-libs-openoffice.org (11) dapper; urgency=low

  * Freshen packages.
  * Tighten dependency on ia32-libs.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Apr 2006 21:06:19 +0000

ia32-libs-openoffice.org (10) dapper; urgency=low

  * Freshen packages.
  * Tighten dependency on ia32-libs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Mar 2006 09:47:56 +0000

ia32-libs-openoffice.org (9) dapper; urgency=low

  * Add libgcj7, while investigating failure with lib32gcj7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2006 17:32:20 +0000

ia32-libs-openoffice.org (8) dapper; urgency=low

  * Freshen packages (new libicu34).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2006 09:02:28 +0000

ia32-libs-openoffice.org (7) dapper; urgency=low

  * Freshen packages.
  * Drop libgnutls11, add libgnutls12.
  * debian/preinst: Check for and remove leftover diversions,
    due to a typo in breezy's postrm.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Mar 2006 15:27:08 +0100

ia32-libs-openoffice.org (6) dapper; urgency=low

  * Drop the libexpat1, libfontconfig1 packages, found in the ia32-libs
    package. Ubuntu #33422.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 16:01:36 +0000

ia32-libs-openoffice.org (5) dapper; urgency=low

  * Make the conflict on openoffice.org2-core versioned (<< 2.0.1oob680m5).

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 03:08:44 +0000

ia32-libs-openoffice.org (4) dapper; urgency=low

  * Drop libidn11, libcairo2, libxrender1, libpng12-0, tighten
    dependency on ia32libs.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  1 Mar 2006 20:55:11 +0000

ia32-libs-openoffice.org (3) dapper; urgency=low

  * Freshen packages for dapper.
  * Tighten dependency on ia32-libs.
  * Conflicts with older openoffice.org-core package.
  * Add libcurl3, libicu34, libneon25, libssl0.9.8, libflac7, libkrb53,
    libldap2, libnspr4, libnss3, libxslt1.1, libwpd8c2a, libcomerr2, libidn11,
    libgnutls11, libsasl2, libxmlsec1, libxmlsec1-nss, libxmlsec1-openssl,
    libgcrypt11,libgpg-error0, libtasn1-2, libmdbtools.
  * Move cairo related packages from the ia32-libs-gtk package: libcairo2,
    libxrender1, libpng12-0.
  * Drop libmyspell3c2.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  1 Mar 2006 14:48:44 +0100

ia32-libs-openoffice.org (2-0ubuntu1) breezy; urgency=low

  * Add libportaudio0, needed for ooo2

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 30 Aug 2005 09:13:03 +0200
