=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
-#!/usr/bin/make -f
+#! /usr/bin/make -f
 
-export DH_COMPAT=3
-
-# Lowest version with fully ABI compatible libraries
-SHLIB_VERSION=0.2
+ORIGVERSION=$(shell dpkg-parsechangelog | grep ^Version | sed -e 's/Version: //' -e 's/-[[:alnum:]]*$$//')
 
 build:
 #	./fetch-and-build
@@ -30,6 +27,9 @@
 		[ -d debian/ia32-libs-openoffice.org/$$d ] && \
 		mv debian/ia32-libs-openoffice.org/$$d debian/ia32-libs-openoffice.org/$${d}32 || true; \
 	done
+
+	rm -rf debian/ia32-libs-openoffice.org/usr/lib32/gcj-4.1
+	rm -f debian/ia32-libs-openoffice.org/usr/lib32/libgjsmalsa.so*
 
 	rm -rf debian/ia32-libs-openoffice.org/usr/include \
 		debian/ia32-libs-openoffice.org/usr/share \
@@ -70,5 +70,8 @@
 	dh_md5sums
 	dh_builddeb
 
+make-orig:
+	tar cvzf ../ia32-libs-openoffice.org_$(ORIGVERSION).orig.tar.gz pkgs srcs
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
