=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,26 @@
 
 ORIGVERSION=$(shell dpkg-parsechangelog | grep ^Version | sed -e 's/Version: //' -e 's/-[[:alnum:]]*$$//')
 
+jhome = /usr/lib32/jvm/java-1.4.2-gcj-4.1-1.4.2.0
+
+with_java = no
+with_java = yes
+
 build:
 #	./fetch-and-build
+
+copyright:
+	cp debian/copyright-header debian/copyright
+	find srcs -maxdepth 2 -type -d | xargs -r rm -rf
+	cd srcs; \
+	for i in *.dsc; do \
+	  dpkg-source -q -x $$i; \
+	  p=$$(echo $$i | sed 's/_.*$$//'); \
+	  echo ==================== $$p ====================; \
+	  cat $$p-[0-9]*/debian/copyright; \
+	  echo ''; \
+	  rm -rf $$p-[0-9]*; \
+	done | grep -v '^dpkg-source:' >> ../debian/copyright
 
 clean:
 	dh_testdir
@@ -28,15 +46,47 @@
 		mv debian/ia32-libs-openoffice.org/$$d debian/ia32-libs-openoffice.org/$${d}32 || true; \
 	done
 
-	rm -rf debian/ia32-libs-openoffice.org/usr/lib32/gcj-4.1
-	rm -f debian/ia32-libs-openoffice.org/usr/lib32/libgjsmalsa.so*
+	mv debian/ia32-libs-openoffice.org/usr/lib32/i686/cmov/* \
+		debian/ia32-libs-openoffice.org/usr/lib32/
+	rm -rf debian/ia32-libs-openoffice.org/usr/lib32/i?86
 
+	rm -f debian/ia32-libs-openoffice.org/usr/lib32/libgcj-tools*
+	rm -f debian/ia32-libs-openoffice.org/usr/lib32/gcj-4.1/*.la
+
+	rm -f debian/ia32-libs-openoffice.org/etc/ldap/ldap.conf
+
+ifeq ($(with_java),yes)
+	mv debian/ia32-libs-openoffice.org/usr/bin/*-4.1 .
+	rm -f gkeytool-4.1 gij-wrapper-4.1
+	rm -rf debian/ia32-libs-openoffice.org/etc/java
+endif
 	rm -rf debian/ia32-libs-openoffice.org/usr/include \
 		debian/ia32-libs-openoffice.org/usr/share \
 		debian/ia32-libs-openoffice.org/usr/sbin \
 		debian/ia32-libs-openoffice.org/sys \
 		debian/ia32-libs-openoffice.org/sbin \
-		debian/ia32-libs-openoffice.org/usr/bin
+		debian/ia32-libs-openoffice.org/usr/bin/*
+ifneq ($(with_java),yes)
+	rm -rf debian/ia32-libs-openoffice.org/usr/bin
+endif
+ifeq ($(with_java),yes)
+	for i in *-4.1; do \
+		mv $$i debian/ia32-libs-openoffice.org/usr/bin/ia32-$$i; \
+	done
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/bin/keytool
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/bin/jar
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/jre/bin/keytool
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/jre/bin/jar
+	dh_link -v \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/bin/gij \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/bin/java \
+	  /usr/bin/ia32-gcj-dbtool-4.1 $(jhome)/bin/gcj-dbtool \
+	  /usr/bin/ia32-grmiregistry-4.1 $(jhome)/bin/rmiregistry \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/jre/bin/gij \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/jre/bin/java \
+	  /usr/bin/ia32-gcj-dbtool-4.1 $(jhome)/jre/bin/gcj-dbtool \
+	  /usr/bin/ia32-grmiregistry-4.1 $(jhome)/jre/bin/rmiregistry
+endif
 
 	dh_installdirs
 	# Fix symlinks.
@@ -49,6 +99,8 @@
 	echo -e "# packages used in the creation of ia32-libs-openoffice.org\n" > \
 	debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest
 	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest
+
+	-find debian/ia32-libs-openoffice.org -type d -empty -delete
 
 binary-indep:
